Loading...
Searching...
No Matches
Opm::BlackOilDarcyFluxModule< TypeTag > Struct Template Reference

Provides a Darcy flux module for the blackoil model. More...

`#include <blackoildarcyfluxmodule.hh>`

## Public Types

using | FluxIntensiveQuantities = DarcyIntensiveQuantities<TypeTag>
using | FluxExtensiveQuantities = BlackOilDarcyExtensiveQuantities<TypeTag>
using | FluxBaseProblem = DarcyBaseProblem<TypeTag>

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the flux module.

## Detailed Description

template<class TypeTag>
struct Opm::BlackOilDarcyFluxModule< TypeTag >

Provides a Darcy flux module for the blackoil model.

The documentation for this struct was generated from the following file:

- opm/models/blackoil/blackoildarcyfluxmodule.hh